package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class GeneralESignBillCollection extends AbstractObjectCollection 
{
    public GeneralESignBillCollection()
    {
        super(GeneralESignBillInfo.class);
    }
    public boolean add(GeneralESignBillInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(GeneralESignBillCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(GeneralESignBillInfo item)
    {
        return removeObject(item);
    }
    public GeneralESignBillInfo get(int index)
    {
        return(GeneralESignBillInfo)getObject(index);
    }
    public GeneralESignBillInfo get(Object key)
    {
        return(GeneralESignBillInfo)getObject(key);
    }
    public void set(int index, GeneralESignBillInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(GeneralESignBillInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(GeneralESignBillInfo item)
    {
        return super.indexOf(item);
    }
}